cancel
Showing results for 
Search instead for 
Did you mean: 

UE4 4.25.1 builds on Quest are Crashing

shanecolbert
Level 3
Hi,
Recently I have been working on upgraded our teams project from 4.21.2 to 4.25.1 (Oculus fork for both). 
I have followed the new 4.25 Android steps, installing Android Studio and using the 21b NDK to build the project. 
The project will build, but crashes immediately when launched on the quest with the following error.

--------- beginning of crash
07-20 09:13:57.828 25646 25646 E AndroidRuntime: FATAL EXCEPTION: main
07-20 09:13:57.828 25646 25646 E AndroidRuntime: Process: com.DigitalLode.Espire1, PID: 25646
07-20 09:13:57.828 25646 25646 E AndroidRuntime: java.lang.UnsatisfiedLinkError: dlopen failed: cannot locate symbol "fgets_unlocked" referenced by "/data/app/com.DigitalLode.Espire1-1/lib/arm64/libUE4.so"...

I have seen other people post this error in the following thread, but there was never really a clear consensus on a repeatable solution.
I have tried each of the suggestions listed by various posters on the thread, and nothing seem to help me.

Does anyone know of a solution or a reason why this is happening? 

Thanks,
Regards,
Shane @ Digital Lode
3 REPLIES 3

Anonymous
Not applicable
changing NDK API Level to `android-21` from 'latest' in "Project Setting|Platforms|Android SDK" .
Fixed it for me. Not 100% sure if it was the same error I had though

FF_TVegter
Level 2


changing NDK API Level to `android-21` from 'latest' in "Project Setting|Platforms|Android SDK" .
Fixed it for me.


Same this fixed the "UnsatisfiedLinkError" for us.

sculptrvr
Level 2
This also happens if your Quest is running an old OS. Update your quest firmware, folks!